Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Properties | List of all members
NodeBehaviourList< T > Class Template Reference

NodeBehaviourのリスト More...

## Public Member Functions
void | Add (T behaviour)
| Behaviourを追加。 More...
void | Insert (int index, T behaviour)
| Behaviourを挿入。 More...
Object | GetObject (int index)
| NodeBehaviourのObjectをindexから取得。 More...
void | SetObject (int index, Object obj)
| NodeBehaviourのObjectをindexへ設定。 More...
int | IndexOf (Object obj)
| NodeBehaviourのインデックスを返す。 More...
void | Swap (int fromIndex, int toIndex)
| NodeBehaviourの順番を入れ替える。 More...
void | Move (int fromIndex, int toIndex)
| NodeBehaviourの順番を移動する。 More...
void | Destroy (Node node, Object behaviour)
| NodeBehaviourを破棄 More...
void | Destroy (Node node, int behaviourIndex)
| NodeBehaviourを破棄 More...
void | DestroyAll (Node node)
| 全てのNodeBehaviourを破棄。 More...
void | MoveBehaviour (Node node)
| NodeBehaviourをnodeに移動する。Editorでのみ有効。 More...
bool | Contains (T behaviour)
| behaviourを含んでいるかを返す。 More...
bool | ContainsObject (Object obj)
| objを含んでいるかを返す。 More...

## Properties
int | count`[get]`
| 個数 More...
T | this[int i]`[get, set]`
| 指定したインデックスへのアクセス More...

## Detailed Description

NodeBehaviourのリスト

Template Parameters

  T | NodeBehaviourの型

Type Constraints

  T | : | NodeBehaviour |

## Member Function Documentation

## ◆ Add()

void Add | ( | T | behaviour | ) |

Behaviourを追加。

Parameters

  behaviour | 追加するNodeBehaviour

## ◆ Contains()

bool Contains | ( | T | behaviour | ) |

behaviourを含んでいるかを返す。

Parameters

  behaviour | チェックする対象

Returns
  含んでいる場合にtrueを返す。

## ◆ ContainsObject()

bool ContainsObject | ( | Object | obj | ) |

objを含んでいるかを返す。

Parameters

  obj | チェックする対象

Returns
  含んでいる場合にtrueを返す。

## ◆ Destroy() [1/2]

void Destroy | ( | Node | node,
|  | Object | behaviour
| ) |  |

NodeBehaviourを破棄

Parameters

  node | NodeBehaviourを持っているNode
  behaviour | NodeBehaviourのObject

## ◆ Destroy() [2/2]

void Destroy | ( | Node | node,
|  | int | behaviourIndex
| ) |  |

NodeBehaviourを破棄

Parameters

  node | NodeBehaviourを持っているNode
  behaviourIndex | 破棄するインデックス

## ◆ DestroyAll()

void DestroyAll | ( | Node | node | ) |

全てのNodeBehaviourを破棄。

Parameters

  node | NodeBehaviourを持っているNode

## ◆ GetObject()

Object GetObject | ( | int | index | ) |

NodeBehaviourのObjectをindexから取得。

Parameters

  index | インデックス

Returns
  Object

## ◆ IndexOf()

int IndexOf | ( | Object | obj | ) |

NodeBehaviourのインデックスを返す。

Parameters

  obj | 検索するNodeBehaviour

Returns
  見つかった場合はインデックス、ない場合は-1を返す。

## ◆ Insert()

void Insert | ( | int | index,
|  | T | behaviour
| ) |  |

Behaviourを挿入。

Parameters

  index | 挿入先インデックス
  behaviour | 挿入するNodeBehaviour

## ◆ Move()

void Move | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

NodeBehaviourの順番を移動する。

Parameters

  fromIndex | 移動させたいインデックス。
  toIndex | 移動先のインデックス。

## ◆ MoveBehaviour()

void MoveBehaviour | ( | Node | node | ) |

NodeBehaviourをnodeに移動する。Editorでのみ有効。

Parameters

  node | 移動先ノード

## ◆ SetObject()

void SetObject | ( | int | index,
|  | Object | obj
| ) |  |

NodeBehaviourのObjectをindexへ設定。

Parameters

  index | インデックス
  obj | Object

## ◆ Swap()

void Swap | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

NodeBehaviourの順番を入れ替える。

Parameters

  fromIndex | 入れ替えたいインデックス。
  toIndex | 入れ替え先インデックス。

## Property Documentation

## ◆ count

int count
| get

個数

## ◆ this[int i]

T this[int i]
| get set

指定したインデックスへのアクセス

Parameters

  i | インデックス

Returns
  インデックスに格納されているNodeBehaviour